Bug 1309792 - Review Request: fedora-motd - Generate dynamic MOTD for Fedora
Review Request: fedora-motd - Generate dynamic MOTD for Fedora
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jared Smith
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1238426
  Show dependency treegraph
 
Reported: 2016-02-18 12:33 EST by Ratnadeep Debnath
Modified: 2016-05-21 16:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-21 16:30:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsmith.fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ratnadeep Debnath 2016-02-18 12:33:08 EST
Spec URL: https://rtnpro.fedorapeople.org/Packages/SPECS/fedora-motd.spec
SRPM URL: https://rtnpro.fedorapeople.org/Packages/SRPMS/fedora-motd-0.1-1.fc22.src.rpm
Description: Generate dynamic MOTD: Message of the day, for Fedora
Fedora Account System Username: rtnpro
Comment 1 Upstream Release Monitoring 2016-02-18 12:35:38 EST
rtnpro's scratch build of fedora-motd-0.1-1.fc22.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13036702
Comment 2 Jared Smith 2016-02-19 11:25:40 EST
 - Please add /etc/motdgen.d to the %files section, so that this package owns
   that directory
 - Add dependencies for 'pam' and 'crontabs' and 'setup' if you're going to
   use the /etc/pam.d, etc/cron.daily, and /etc/profile.d directories
 - /etc/cron.daily/motdgen-cache-updateinfo is marked as a config file, but is
   executable

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/motdgen.d
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/cron.daily,
     /etc/motdgen.d, /etc/pam.d, /etc/profile.d, /usr/lib/python2.7/site-
     packages/dnf-plugins
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[?]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fedora-motd-0.1-1.fc24.noarch.rpm
          fedora-motd-0.1-1.fc24.src.rpm
fedora-motd.noarch: E: executable-marked-as-config-file /etc/cron.daily/motdgen-cache-updateinfo
fedora-motd.noarch: W: non-conffile-in-etc /etc/profile.d/motdgen.sh
fedora-motd.noarch: W: no-manual-page-for-binary motdgen
fedora-motd.noarch: W: no-manual-page-for-binary motdgen-cache-updateinfo
2 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
fedora-motd.noarch: E: executable-marked-as-config-file /etc/cron.daily/motdgen-cache-updateinfo
fedora-motd.noarch: W: non-conffile-in-etc /etc/profile.d/motdgen.sh
fedora-motd.noarch: W: no-manual-page-for-binary motdgen-cache-updateinfo
fedora-motd.noarch: W: no-manual-page-for-binary motdgen
1 packages and 0 specfiles checked; 1 errors, 3 warnings.



Requires
--------
fedora-motd (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    config(fedora-motd)
    python(abi)



Provides
--------
fedora-motd:
    config(fedora-motd)
    fedora-motd



Source checksums
----------------
https://github.com/rtnpro/fedora-motd/archive/962b9ab3936579a531ce31eaac9044dd388bbfcf.tar.gz#/fedora-motd-962b9ab.tar.gz :
  CHECKSUM(SHA256) this package     : 451a400ea42d3474f41cd67cdf14032ff6ffc3361e90fc03af55ca253e870875
  CHECKSUM(SHA256) upstream package : 451a400ea42d3474f41cd67cdf14032ff6ffc3361e90fc03af55ca253e870875


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1309792
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Ratnadeep Debnath 2016-02-23 06:17:12 EST
Hey Jared,

(In reply to Jared Smith from comment #2)
>  - Please add /etc/motdgen.d to the %files section, so that this package owns
>    that directory
Fixed!

>  - Add dependencies for 'pam' and 'crontabs' and 'setup' if you're going to
>    use the /etc/pam.d, etc/cron.daily, and /etc/profile.d directories
Fixed!

>  - /etc/cron.daily/motdgen-cache-updateinfo is marked as a config file, but
> is
>    executable
Most of the cron scripts are marked as executable. I asked @threebean about this, and he suggested to ignore this lint error.

I have pushed the updated SPEC and SRPM file at:
Spec URL: https://rtnpro.fedorapeople.org/Packages/SPECS/fedora-motd.spec
SRPM URL: https://rtnpro.fedorapeople.org/Packages/SRPMS/fedora-motd-0.1-1.fc22.src.rpm

Let me know what you think.
Comment 4 Jared Smith 2016-02-23 08:02:41 EST
Just two additional comments:

1) There's no reason to list out the following two files, since you've already specified the directory which contains them:

%{_sysconfdir}/motdgen.d/01-uptime.sh
%{_sysconfdir}/motdgen.d/02-updateinfo.sh

2) Do you really want those files marked as %config(noreplace)?  That means if you push out an updated version of those scripts, that the original file will stay in place and that the new version will be pushed out with a .rpmnew extension.  Since these really aren't config files and are scripts, I'm assuming that you *would* want them replaced in the case of an upgrade.

Please address these two issues, and I'll gladly approve the package.  Also, I should be in IRC most of the day today if you want to discuss.
Comment 5 Ratnadeep Debnath 2016-02-23 08:45:26 EST
(In reply to Jared Smith from comment #4)
> Just two additional comments:
> 
> 1) There's no reason to list out the following two files, since you've
> already specified the directory which contains them:
> 
> %{_sysconfdir}/motdgen.d/01-uptime.sh
> %{_sysconfdir}/motdgen.d/02-updateinfo.sh

Removed them!

> 2) Do you really want those files marked as %config(noreplace)?  That means
> if you push out an updated version of those scripts, that the original file
> will stay in place and that the new version will be pushed out with a
> .rpmnew extension.  Since these really aren't config files and are scripts,
> I'm assuming that you *would* want them replaced in the case of an upgrade.

Since most of my config files are actually scripts, I have removed "%config(noreplace)" for them.

Let me know if I need to fix something else.
Comment 6 Jared Smith 2016-02-23 08:51:04 EST
Package is approved.
Comment 7 Gwyn Ciesla 2016-02-24 14:49:55 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/fedora-motd
Comment 8 Fedora Update System 2016-02-25 10:09:48 EST
fedora-motd-0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-daa2704927
Comment 9 Fedora Update System 2016-02-25 10:09:50 EST
fedora-motd-0.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8bbded4ea0
Comment 10 Fedora Update System 2016-02-26 15:51:51 EST
fedora-motd-0.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8bbded4ea0
Comment 11 Fedora Update System 2016-02-26 15:52:50 EST
fedora-motd-0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-daa2704927
Comment 12 Fedora Update System 2016-03-10 04:57:02 EST
fedora-motd-0.1.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed7cdc54b9
Comment 13 Fedora Update System 2016-03-10 04:57:09 EST
fedora-motd-0.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-41dc7c35fc
Comment 14 Fedora Update System 2016-03-11 08:28:45 EST
fedora-motd-0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-03-11 19:51:52 EST
fedora-motd-0.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-12 11:54:14 EST
fedora-motd-0.1.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed7cdc54b9
Comment 17 Fedora Update System 2016-03-12 12:26:12 EST
fedora-motd-0.1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-41dc7c35fc
Comment 18 Fedora Update System 2016-03-13 19:53:34 EDT
fedora-motd-0.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-04-14 05:31:29 EDT
fedora-motd-0.1.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-23df51d4f5
Comment 20 Fedora Update System 2016-04-14 05:31:35 EDT
fedora-motd-0.1.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fa9e77c232
Comment 21 Fedora Update System 2016-04-16 15:26:18 EDT
fedora-motd-0.1.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fa9e77c232
Comment 22 Fedora Update System 2016-04-16 15:27:34 EDT
fedora-motd-0.1.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-23df51d4f5
Comment 23 Fedora Update System 2016-04-25 19:54:21 EDT
fedora-motd-0.1.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-05-09 09:00:44 EDT
fedora-motd-0.1.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c8948356b9
Comment 25 Fedora Update System 2016-05-10 16:30:50 EDT
fedora-motd-0.1.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c8948356b9
Comment 26 Fedora Update System 2016-05-21 16:30:55 EDT
fedora-motd-0.1.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.